Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1146 - Various problems with /etc/rc.d/init.d/keytables
Summary: Various problems with /etc/rc.d/init.d/keytables
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd
Version: 5.2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-13 08:40 UTC by Marc MERLIN
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-06 16:19:02 UTC


Attachments (Terms of Use)

Description Marc MERLIN 1999-02-13 08:40:15 UTC
Gatewaying old bug to bugzilla:

1) English/Spelling
 # This must be executed *after* /usr is
mounted.
-# This means is /usr is NFS-mounted, it needs
to
+# This means that if /usr is NFS-mounted, it needs
to
 # run after networking and NFS mounts are up.

2) It doesn't touch the lock file and gets needlessly
   relaunched at each runlevel
@@ -20,12 +20,14
@@

start)
                # Load the proper
keymap
                echo -n "Loading keymap:
"
+               touch
/var/lock/subsys/keytable
                .
/etc/sysconfig/keyboard
                if [ ${KEYTABLE:-bogus} != "bogus" ];
then
                        loadkeys
$KEYTABLE

fi

;;

stop)
+               rm
/var/lock/subsys/keytable

;;

restart|reload)
                $0 start

3) The script is not run when booting in single user mode
   It's not cool for all the people who don't use qwerty
   keyboards (been there, done that)

4) But even better (and that's the solution I implemented
   on my system):

The ideal fix is that whatever keymap is selected during the
install should be copied somewhere in /etc/sysconfig and
loaded by rc.sysinit because if you have an fsck problem,
you're forced to fix the problem with the wrong keymap, and
that includes typing the root password (very frustrating).

Comment 1 Bill Nottingham 1999-04-06 16:19:59 UTC
fixed in console-tools-*-6, initscripts-3.99-1.


Note You need to log in before you can comment on or make changes to this bug.